API referenceMedia
Measure cuts and save one frame per shot
View as MarkdownOpen in ClaudeOpen in ChatGPTConnect the roasOS MCP server: https://mcp.roasos.com/mcp
Authorization
bearerAuth AuthorizationBearer <token>
API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/media/filmstrip" \ -H "Content-Type: application/json" \ -d '{ "video_url": "http://example.com" }'{ "data": { "video_url": "http://example.com", "duration_seconds": 0, "start_seconds": 0, "end_seconds": 0, "measured": { "method": "frame-difference", "sample_interval_seconds": 1, "samples": 0, "cuts": [ { "at_seconds": 0, "strength": 0 } ] }, "shots": [ { "start_seconds": 0, "end_seconds": 0 } ], "frames": [ { "at_seconds": 0, "upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb", "url": "http://example.com" } ], "reused": true, "credits_charged": 0 }}